<?xml version="1.0" encoding="utf-8"?>
<!-- edited with XMLSpy v2014 (x64) (http://www.altova.com) by Group IT (PostNL Groep) -->
<!--org/2001/XMLSchema-->
<!--
Major/Minor versie:     1.0
datum productie         24-08-2020; op 7-9-2020 gewijzigd naar ProductSpecifications
aanpassing door     NM, op verzoek Henk Willemse en Manon Havinga
doelgroep                   Logisch Sorteren

    
   -->
<xsd:schema xmlns:me1="urn:postnl/mail/meta/1" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="urn:postnl/mail/distributionproductspecificationsmutations/1" xmlns:dps1="urn:postnl/mail/distributionproductspecifications/1" targetNamespace="urn:postnl/mail/distributionproductspecificationsmutations/1" elementFormDefault="qualified" attributeFormDefault="unqualified">
    <xsd:import namespace="urn:postnl/mail/meta/1" schemaLocation="../Common/OAGI/Components/Meta1.xsd"/>
    <xsd:import namespace="urn:postnl/mail/distributionproductspecifications/1" schemaLocation="../Nouns/NounsImplementatie/DistributionProductSpecifications1.xsd"/>
    <xsd:element name="DistributionProductSpecificationsMutations" type="DistributionProductSpecificationsMutationsType">
        <xsd:annotation>
            <xsd:documentation>The DistributionProductSpecifications may be used to (1) Delete (= replace or destroy) one or more DistributionProductSpecification; to Post or to Put DistributionProductSpecifications. opmerking: in  tegenstelling tot de BOD regel, bevat dit XSD meerdere verbs. Reden hiervoor is dat ten behoeve van consistentie bewaking de volledige set aan nieuwe, gewijzigde en verwijderde DPS'en tegelijkertijd moet worden aangeboden.</xsd:documentation>
        </xsd:annotation>
    </xsd:element>
    <xsd:complexType name="DistributionProductSpecificationsMutationsType">
        <xsd:complexContent>
            <xsd:extension base="me1:BusinessDocumentMessageHeaderType">
                <xsd:sequence>
                    <xsd:element name="DataArea" type="DataAreaType" maxOccurs="unbounded">
                        <xsd:annotation>
                            <xsd:documentation>Is where the information that the BOD message carries is provided, in this case DeleteDistributionProductSpecification. The information consists of a Verb and one or more Nouns. The verb (Delete) indicates the action to be performed on the Noun (DistributionProductSpecification).</xsd:documentation>
                        </xsd:annotation>
                    </xsd:element>
                </xsd:sequence>
            </xsd:extension>
        </xsd:complexContent>
    </xsd:complexType>
    <xsd:complexType name="DataAreaType">
        <xsd:sequence>
            <xsd:choice>
                <xsd:element ref="me1:Delete" minOccurs="1"/>
                <xsd:element ref="me1:Post" minOccurs="1"/>
                <xsd:element ref="me1:Put" minOccurs="1"/>
            </xsd:choice>
            <xsd:element ref="dps1:DistributionProductSpecifications"/>
        </xsd:sequence>
    </xsd:complexType>
</xsd:schema>
